Subhans Fitness

Call Directions Website

Subhans Fitness Deals in All kinds of exercise and gym equipments

MULTI HOME GYM MACHINE 7860 – 7 IN 1Transform your home into a complete fitness station with the Multi Home Gym 7860. De...
11/06/2026

MULTI HOME GYM MACHINE 7860 – 7 IN 1
Transform your home into a complete fitness station with the Multi Home Gym 7860. Designed for full-body workouts, this machine helps you build strength, improve fitness, and train multiple muscle groups from one compact setup. The product is available through Subhan Fitness. οΏ½
Subhan Fitness
βœ… Lat Pull Down
βœ… Butterfly
βœ… Chest Press
βœ… Preacher Curl
βœ… Leg Curl
βœ… Rowing
βœ… Bicep Curl
πŸ’ͺ Strong & Durable Frame
πŸ’ͺ Smooth Weight Stack System
πŸ’ͺ Ideal for Home Workouts
πŸ’ͺ Full Body Training in One Machine

πŸ“¦ Order Now:
https://subhanfitness.com/product/multi-home-gym-machine-7860-7-in-1-complete-home-fitness-solution

πŸ“ž Contact Subhan Fitness for price and delivery details: 03319733111

πŸšΆβ€β™‚οΈ King Smith Walking Pad A1 Pro – Premium Walking Pad for Home & Office πŸƒβ€β™€οΈLooking for a compact and stylish way to ...
08/06/2026

πŸšΆβ€β™‚οΈ King Smith Walking Pad A1 Pro – Premium Walking Pad for Home & Office πŸƒβ€β™€οΈ

Looking for a compact and stylish way to stay active? The King Smith Walking Pad A1 Pro is designed to help you achieve your fitness goals without taking up extra space.

βœ… Foldable & Space-Saving Design
βœ… Quiet and Smooth Performance
βœ… Smart LED Display
βœ… Easy Speed Control
βœ… Durable Construction
βœ… Perfect for Home & Office Use
βœ… Easy Storage Under Bed or Sofa

Whether you want to walk while working or maintain your daily fitness routine, the King Smith Walking Pad A1 Pro is the perfect choice.

πŸ›’ Product Details & Price:
🌐 https://subhanfitness.com/product/kingsmith-walkingpad-a1-pro-price-in-pakistan/

πŸ“ž Contact Subhan Fitness for Availability & Best Price.

07/06/2026

Top 10 Treadmills Available in Pakistan Under 200,000 PKR (2026 Guide)

Looking for the best treadmill under 2 lacs in Pakistan? Whether you want to lose weight, improve your fitness, or set up a home gym, choosing the right treadmill can make a huge difference.

Here are some of the best treadmills available in Pakistan under PKR 200,000 based on motor quality, weight capacity, running comfort, and overall value.

1. American Fitness 141E Treadmill – PKR 195,000

The American Fitness 141E is one of the best treadmills in this price range. It features a strong continuous-duty motor, auto incline system, and a sturdy frame capable of supporting heavier users.

🌟Key Features:

- Strong Continuous Motor
- Auto Incline Function
- 130kg User Capacity
- Dual Shock Absorber System
- Digital Display
- Comfortable Running Surface

Why Buy?

Ideal for users looking for a powerful treadmill with incline training and excellent cushioning.

---

2. Slimline 4810 Treadmill – PKR 190,000

The Slimline 4810 offers excellent comfort and performance for home users. Its large running track and air cushion system provide a smooth workout experience.

🌟Key Features:

- Auto Incline
- 120kg User Capacity
- Air Cushion System
- Huge Running Track
- Digital Display

Why Buy?

Perfect for walking, jogging, and running with enhanced comfort.

---

3. Royal Fitness Canada RFC 265 – PKR 158,000

The RFC 265 stands out because of its durable AC motor, which is typically found in higher-end treadmills. It is designed for long workout sessions and higher user weights.

🌟Key Features:

- 2HP AC Motor
- Manual Incline
- 135kg User Capacity
- Digital Display
- Durable Construction

Why Buy?

A great choice for users who prioritize durability and motor reliability.

---

4. Royal Fitness Canada RFC 270 – PKR 145,000

The RFC 270 combines performance and convenience with its foldable design and auto incline functionality.

🌟Key Features:

- 2HP Motor
- Auto Incline
- Foldable Design
- Digital Display
- Home Use Friendly

Why Buy?

Suitable for users who need a compact treadmill with advanced features.

---

5. American Fitness T310E – PKR 145,000

The American Fitness T310E is a popular treadmill for home use, offering a reliable motor and comfortable workout experience.

🌟Key Features:

- 2HP Motor
- 120kg User Capacity
- Foldable Design
- Gel Cushion System
- MP3 Support
- Digital Display Showing Speed, Distance, Time, Calories & Pulse

Why Buy?

Excellent value for money with modern features and comfortable cushioning.

---

βœ…Final Verdict

If you're looking for the most powerful treadmill under 2 lacs, the American Fitness 141E is a top choice. For comfort, the Slimline 4810 is an excellent option. If durability is your priority, the Royal Fitness Canada RFC 265 with its AC motor offers outstanding value.

Visit Subhan Fitness to explore these treadmills and find the perfect machine for your fitness goals.

➑️Website: https://subhanfitness.com
➑️Contact: 0331-9733111

πŸƒβ€β™‚οΈ American Fitness T310E Treadmill πŸƒβ€β™€οΈTake your fitness journey to the next level with the reliable and durable Amer...
07/06/2026

πŸƒβ€β™‚οΈ American Fitness T310E Treadmill πŸƒβ€β™€οΈ
Take your fitness journey to the next level with the reliable and durable American Fitness T310E treadmill, designed for home workouts and daily cardio training.

βœ… Powerful 2HP Motor
βœ… User Weight Capacity 120kg
βœ… Foldable Design for easy storage
βœ… Gel Cushion System for comfortable and low-impact running
βœ… Digital Display Shows: β€’ Speed β€’ Distance β€’ Time β€’ Calories Burned β€’ Pulse Sensor Reading
βœ… Built-in MP3 Function for entertainment during workouts

Whether your goal is weight loss, walking, jogging, or improving fitness, the American Fitness T310E is a great choice for your home gym.

🌐 Product Link: https://subhanfitness.com/product/american-fitness-t310e-treadmill/

πŸ“ž Contact: 0331-9733111
🚚 Delivery Available Across Pakistan

πŸƒβ€β™‚οΈ Royal Fitness Canada RFC 260 Treadmill πŸƒβ€β™€οΈLooking for a reliable treadmill for your home workouts? The Royal Fitne...
07/06/2026

πŸƒβ€β™‚οΈ Royal Fitness Canada RFC 260 Treadmill πŸƒβ€β™€οΈ
Looking for a reliable treadmill for your home workouts? The Royal Fitness Canada RFC 260 is designed to help you stay fit and active from the comfort of your home!

βœ… 2HP Powerful Motor
βœ… Weight Capacity: 100kg
βœ… Digital Display Shows: β€’ Speed β€’ Distance β€’ Time β€’ Calories Burned β€’ Pulse Sensor
βœ… Foldable Design – Easy to Store
βœ… Huge Running Track for Comfortable Walking & Jogging
βœ… Smooth & User-Friendly Operation
πŸ’ͺ Perfect for daily cardio, weight loss, and fitness training.

πŸ“ž Contact: 0331-9733111

🌐 Website: https://subhanfitness.com/product/royal-fitness-rfc260-2hp-motor/

🚚 Delivery Available Across Pakistan

πŸƒβ€β™‚οΈ American Fitness 141E Treadmill πŸƒβ€β™€οΈUpgrade your home gym with the powerful American Fitness 141E Treadmill!βœ” 2HP C...
06/06/2026

πŸƒβ€β™‚οΈ American Fitness 141E Treadmill πŸƒβ€β™€οΈ
Upgrade your home gym with the powerful American Fitness 141E Treadmill!

βœ” 2HP Continuous Duty Motor
βœ” 15 Levels Auto Incline
βœ” 4 Cushion Shock Absorption System
βœ” Digital Display
βœ” Smooth & Comfortable Running Experience
βœ” Ideal for Walking, Jogging & Running
βœ” Perfect for Home Use
πŸ’ͺ Stay fit, burn calories, and achieve your fitness goals from the comfort of your home.
🚚 Nationwide Delivery Available
🌐 Order Now:
https://subhanfitness.com/product/american-fitness-141e-treadmill-with-auto-incline-and-warranty/

πŸ“ž Contact Subhan Fitness for the latest price and availability.

πŸ”₯ Slimline Hybrid Elliptical Trainer 65502 πŸ”₯Bring the gym to your home with the versatile Slimline Hybrid Elliptical Tra...
06/06/2026

πŸ”₯ Slimline Hybrid Elliptical Trainer 65502 πŸ”₯
Bring the gym to your home with the versatile Slimline Hybrid Elliptical Trainer 65502!

βœ… Weight Capacity: 110 KG βœ… 8 Levels of Resistance βœ… Adjustable Seat for Maximum Comfort βœ… Hybrid Design – Use as an Elliptical Trainer or Exercise Cycle βœ… Smooth & Quiet Operation βœ… Ideal for Cardio, Weight Loss & Full Body Fitness βœ… Perfect for Home Use
πŸ’ͺ Burn calories, improve stamina, and stay fit with one machine that offers two workout styles!

🌐 Order Now: https://subhanfitness.com/product/slimline-e6552-elliptical-trainer-pakistan/

πŸ“ž Contact Subhan Fitness for more details and nationwide delivery.

πŸ”₯ Slimline Foldable Walking Pad SL-080 πŸ”₯Looking for a compact treadmill that fits perfectly in your home or office? The ...
05/06/2026

πŸ”₯ Slimline Foldable Walking Pad SL-080 πŸ”₯
Looking for a compact treadmill that fits perfectly in your home or office? The Slimline SL-080 Walking Pad is the ideal solution for daily walking and fitness goals!
βœ… Powerful 2HP Motor
βœ… User Weight Capacity: 120KG
βœ… Big Size Walking Track
βœ… Digital LED Display
βœ… Remote Control with Touch Buttons
βœ… Mobile App Control
βœ… Slim & Foldable Design
βœ… Easily Fits Under Your Bed
βœ… Perfect for Home & Office Use
πŸƒ Walk More β€’ Stay Active β€’ Burn Calories Anytime
πŸ“¦ Cash on Delivery Available Across Pakistan
πŸ›’ Order Now: https://subhanfitness.com/product/slimline-foldable-treadmill-sl-080-walking-pad/
πŸ“ž Call / WhatsApp: 0331-9733111

πŸƒβ€β™‚οΈ Transform Your Fitness Journey at Home! πŸƒβ€β™€οΈIntroducing the Slimline Walking Pad Treadmill SL-104 – the perfect sol...
05/06/2026

πŸƒβ€β™‚οΈ Transform Your Fitness Journey at Home! πŸƒβ€β™€οΈ

Introducing the Slimline Walking Pad Treadmill SL-104 – the perfect solution for walking, jogging, and staying active without taking up extra space!
βœ… 2HP Powerful DC Motor
βœ… Supports Up to 100KG User Weight
βœ… Foldable & Space Saving Design
βœ… Digital LED Display
βœ… Remote Control Included
βœ… Speed Range 1-10 KM/H
βœ… Easily Fits Under Your Bed or Sofa
βœ… Ideal for Home & Office Use
πŸ’₯ Limited Stock Available – Order Now!
πŸ›’ Buy Online: https://subhanfitness.com/product/slimline-walking-pad-treadmill-sl-1014/
πŸ“ž Call/WhatsApp: 0331-9733111

Address

Gulberg
Lahore
54000

Opening Hours

Monday 12:30 - 21:30
Tuesday 12:30 - 21:30
Wednesday 12:30 - 21:30
Thursday 00:30 - 21:30
Friday 12:30 - 21:30
Saturday 12:30 - 21:30

Telephone

+923319733111

Alerts

Be the first to know and let us send you an email when Subhans Fitness posts news and promotions. Your email address will not be used for any other purpose, and you can unsubscribe at any time.

Shortcuts

Share